#ifndef DBA_MSG_VARS_H
#define DBA_MSG_VARS_H

#ifdef  __cplusplus
extern "C" {
#endif

#include <dballe/core/dba_var.h>
#include <dballe/msg/dba_msg.h>

struct _dba_msg_var {
	dba_varcode code;
	int ltype, l1, l2;
	int pind, p1, p2;
};
typedef struct _dba_msg_var* dba_msg_var;

extern struct _dba_msg_var dba_msg_vartable[];

#define DBA_MSG_PRESS 0
#define DBA_MSG_HEIGHT_ANEM 1
#define DBA_MSG_TOT_SNOW 2
#define DBA_MSG_VISIBILITY 3
#define DBA_MSG_PRES_WTR 4
#define DBA_MSG_METAR_WTR 5
#define DBA_MSG_WATER_TEMP 6
#define DBA_MSG_PAST_WTR1 7
#define DBA_MSG_PAST_WTR2 8
#define DBA_MSG_PRESS_TEND 9
#define DBA_MSG_TOT_PREC24 10
#define DBA_MSG_PRESS_3H 11
#define DBA_MSG_PRESS_MSL 12
#define DBA_MSG_QNH 13
#define DBA_MSG_TEMP_2M 14
#define DBA_MSG_WET_TEMP_2M 15
#define DBA_MSG_DEWPOINT_2M 16
#define DBA_MSG_HUMIDITY 17
#define DBA_MSG_WIND_DIR 18
#define DBA_MSG_WIND_SPEED 19
#define DBA_MSG_EX_CCW_WIND 20
#define DBA_MSG_EX_CW_WIND 21
#define DBA_MSG_WIND_MAX 22
#define DBA_MSG_CLOUD_N 23
#define DBA_MSG_CLOUD_NH 24
#define DBA_MSG_CLOUD_HH 25
#define DBA_MSG_CLOUD_CL 26
#define DBA_MSG_CLOUD_CM 27
#define DBA_MSG_CLOUD_CH 28
#define DBA_MSG_CLOUD_N1 29
#define DBA_MSG_CLOUD_C1 30
#define DBA_MSG_CLOUD_H1 31
#define DBA_MSG_CLOUD_N2 32
#define DBA_MSG_CLOUD_C2 33
#define DBA_MSG_CLOUD_H2 34
#define DBA_MSG_CLOUD_N3 35
#define DBA_MSG_CLOUD_C3 36
#define DBA_MSG_CLOUD_H3 37
#define DBA_MSG_CLOUD_N4 38
#define DBA_MSG_CLOUD_C4 39
#define DBA_MSG_CLOUD_H4 40
#define DBA_MSG_BLOCK 41
#define DBA_MSG_STATION 42
#define DBA_MSG_FLIGHT_REG_NO 43
#define DBA_MSG_IDENT 44
#define DBA_MSG_ST_DIR 45
#define DBA_MSG_ST_SPEED 46
#define DBA_MSG_ST_NAME 47
#define DBA_MSG_ST_NAME_ICAO 48
#define DBA_MSG_ST_TYPE 49
#define DBA_MSG_WIND_INST 50
#define DBA_MSG_TEMP_PRECISION 51
#define DBA_MSG_SONDE_TYPE 52
#define DBA_MSG_SONDE_METHOD 53
#define DBA_MSG_NAVSYS 54
#define DBA_MSG_DATA_RELAY 55
#define DBA_MSG_FLIGHT_ROLL 56
#define DBA_MSG_LATLON_SPEC 57
#define DBA_MSG_YEAR 58
#define DBA_MSG_MONTH 59
#define DBA_MSG_DAY 60
#define DBA_MSG_HOUR 61
#define DBA_MSG_MINUTE 62
#define DBA_MSG_LATITUDE 63
#define DBA_MSG_LONGITUDE 64
#define DBA_MSG_HEIGHT 65
#define DBA_MSG_HEIGHT_BARO 66
#define DBA_MSG_FLIGHT_PHASE 67
#define DBA_MSG_TIMESIG 68
#define DBA_MSG_FLIGHT_PRESS 69
inline static dba_err dba_msg_set_press(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 10, 4), val, conf, 1, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_press_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 10, 4), 1, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_press_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_PRESS); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_height_anem(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 10, 197), val, conf, 1, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_height_anem_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 10, 197), 1, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_height_anem_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_HEIGHT_ANEM); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_tot_snow(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 13, 13), val, conf, 1, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_tot_snow_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 13, 13), 1, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_tot_snow_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_TOT_SNOW); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_visibility(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 20, 1), val, conf, 1, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_visibility_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 1), 1, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_visibility_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_VISIBILITY); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_pres_wtr(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 3), val, conf, 1, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_pres_wtr_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 3), 1, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_pres_wtr_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_PRES_WTR); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_metar_wtr(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 9), val, conf, 1, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_metar_wtr_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 9), 1, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_metar_wtr_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_METAR_WTR); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_water_temp(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 22, 42), val, conf, 1, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_water_temp_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 22, 42), 1, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_water_temp_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_WATER_TEMP); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_past_wtr1(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 4), val, conf, 1, 0, 0, 2, -21600, 0); }
inline static dba_err dba_msg_set_past_wtr1_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 4), 1, 0, 0, 2, -21600, 0); }
inline static dba_var dba_msg_get_past_wtr1_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_PAST_WTR1); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_past_wtr2(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 5), val, conf, 1, 0, 0, 2, -21600, 0); }
inline static dba_err dba_msg_set_past_wtr2_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 5), 1, 0, 0, 2, -21600, 0); }
inline static dba_var dba_msg_get_past_wtr2_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_PAST_WTR2); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_press_tend(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 10, 63), val, conf, 1, 0, 0, 2, -10800, 0); }
inline static dba_err dba_msg_set_press_tend_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 10, 63), 1, 0, 0, 2, -10800, 0); }
inline static dba_var dba_msg_get_press_tend_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_PRESS_TEND); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_tot_prec24(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 13, 11), val, conf, 1, 0, 0, 4, -86400, 0); }
inline static dba_err dba_msg_set_tot_prec24_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 13, 11), 1, 0, 0, 4, -86400, 0); }
inline static dba_var dba_msg_get_tot_prec24_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_TOT_PREC24); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_press_3h(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 10, 61), val, conf, 1, 0, 0, 5, -10800, 0); }
inline static dba_err dba_msg_set_press_3h_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 10, 61), 1, 0, 0, 5, -10800, 0); }
inline static dba_var dba_msg_get_press_3h_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_PRESS_3H); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_press_msl(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 10, 51), val, conf, 102, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_press_msl_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 10, 51), 102, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_press_msl_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_PRESS_MSL); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_qnh(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 10, 52), val, conf, 105, 2, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_qnh_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 10, 52), 105, 2, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_qnh_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_QNH); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_temp_2m(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 12, 1), val, conf, 105, 2, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_temp_2m_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 12, 1), 105, 2, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_temp_2m_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_TEMP_2M); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_wet_temp_2m(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 12, 2), val, conf, 105, 2, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_wet_temp_2m_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 12, 2), 105, 2, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_wet_temp_2m_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_WET_TEMP_2M); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_dewpoint_2m(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 12, 3), val, conf, 105, 2, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_dewpoint_2m_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 12, 3), 105, 2, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_dewpoint_2m_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_DEWPOINT_2M); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_humidity(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 13, 3), val, conf, 105, 2, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_humidity_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 13, 3), 105, 2, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_humidity_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_HUMIDITY); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_wind_dir(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 11, 1), val, conf, 105, 10, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_wind_dir_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 11, 1), 105, 10, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_wind_dir_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_WIND_DIR); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_wind_speed(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 11, 2), val, conf, 105, 10, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_wind_speed_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 11, 2), 105, 10, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_wind_speed_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_WIND_SPEED); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_ex_ccw_wind(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 11, 16), val, conf, 105, 10, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_ex_ccw_wind_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 11, 16), 105, 10, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_ex_ccw_wind_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_EX_CCW_WIND); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_ex_cw_wind(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 11, 16), val, conf, 105, 10, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_ex_cw_wind_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 11, 16), 105, 10, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_ex_cw_wind_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_EX_CW_WIND); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_wind_max(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 11, 41), val, conf, 105, 10, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_wind_max_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 11, 41), 105, 10, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_wind_max_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_WIND_MAX); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_n(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 10), val, conf, 256, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_n_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 10), 256, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_n_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_N); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_nh(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 11), val, conf, 256, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_nh_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 11), 256, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_nh_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_NH); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_hh(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 20, 13), val, conf, 256, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_hh_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 13), 256, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_hh_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_HH); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_cl(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 12), val, conf, 256, 0, 1, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_cl_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 12), 256, 0, 1, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_cl_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_CL); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_cm(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 12), val, conf, 256, 0, 2, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_cm_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 12), 256, 0, 2, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_cm_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_CM); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_ch(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 12), val, conf, 256, 0, 3, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_ch_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 12), 256, 0, 3, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_ch_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_CH); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_n1(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 11), val, conf, 256, 1, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_n1_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 11), 256, 1, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_n1_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_N1); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_c1(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 12), val, conf, 256, 1, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_c1_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 12), 256, 1, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_c1_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_C1); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_h1(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 20, 13), val, conf, 256, 1, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_h1_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 13), 256, 1, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_h1_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_H1); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_n2(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 11), val, conf, 256, 2, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_n2_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 11), 256, 2, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_n2_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_N2); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_c2(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 12), val, conf, 256, 2, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_c2_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 12), 256, 2, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_c2_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_C2); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_h2(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 20, 13), val, conf, 256, 2, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_h2_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 13), 256, 2, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_h2_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_H2); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_n3(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 11), val, conf, 256, 3, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_n3_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 11), 256, 3, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_n3_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_N3); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_c3(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 12), val, conf, 256, 3, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_c3_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 12), 256, 3, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_c3_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_C3); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_h3(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 20, 13), val, conf, 256, 3, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_h3_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 13), 256, 3, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_h3_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_H3); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_n4(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 11), val, conf, 256, 4, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_n4_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 11), 256, 4, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_n4_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_N4); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_c4(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 20, 12), val, conf, 256, 4, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_c4_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 12), 256, 4, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_c4_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_C4); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_cloud_h4(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 20, 13), val, conf, 256, 4, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_cloud_h4_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 20, 13), 256, 4, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_cloud_h4_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_CLOUD_H4); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_block(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 1, 1), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_block_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 1, 1), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_block_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_BLOCK); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_station(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 1, 2), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_station_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 1, 2), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_station_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_STATION); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_flight_reg_no(dba_msg msg, const char* val, int conf) { return dba_msg_setc(msg, DBA_VAR(0, 1, 8), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_flight_reg_no_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 1, 8), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_flight_reg_no_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_FLIGHT_REG_NO); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_ident(dba_msg msg, const char* val, int conf) { return dba_msg_setc(msg, DBA_VAR(0, 1, 11), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_ident_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 1, 11), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_ident_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_IDENT); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_st_dir(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 1, 12), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_st_dir_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 1, 12), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_st_dir_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_ST_DIR); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_st_speed(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 1, 13), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_st_speed_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 1, 13), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_st_speed_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_ST_SPEED); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_st_name(dba_msg msg, const char* val, int conf) { return dba_msg_setc(msg, DBA_VAR(0, 1, 19), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_st_name_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 1, 19), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_st_name_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_ST_NAME); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_st_name_icao(dba_msg msg, const char* val, int conf) { return dba_msg_setc(msg, DBA_VAR(0, 1, 63), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_st_name_icao_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 1, 63), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_st_name_icao_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_ST_NAME_ICAO); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_st_type(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 2, 1), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_st_type_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 2, 1), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_st_type_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_ST_TYPE); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_wind_inst(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 2, 2), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_wind_inst_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 2, 2), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_wind_inst_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_WIND_INST); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_temp_precision(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 2, 5), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_temp_precision_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 2, 5), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_temp_precision_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_TEMP_PRECISION); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_sonde_type(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 2, 11), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_sonde_type_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 2, 11), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_sonde_type_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_SONDE_TYPE); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_sonde_method(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 2, 12), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_sonde_method_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 2, 12), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_sonde_method_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_SONDE_METHOD); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_navsys(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 2, 61), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_navsys_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 2, 61), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_navsys_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_NAVSYS); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_data_relay(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 2, 62), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_data_relay_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 2, 62), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_data_relay_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_DATA_RELAY); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_flight_roll(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 2, 63), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_flight_roll_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 2, 63), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_flight_roll_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_FLIGHT_ROLL); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_latlon_spec(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 2, 70), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_latlon_spec_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 2, 70), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_latlon_spec_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_LATLON_SPEC); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_year(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 4, 1), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_year_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 4, 1), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_year_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_YEAR); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_month(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 4, 2), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_month_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 4, 2), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_month_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_MONTH); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_day(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 4, 3), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_day_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 4, 3), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_day_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_DAY); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_hour(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 4, 4), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_hour_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 4, 4), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_hour_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_HOUR); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_minute(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 4, 5), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_minute_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 4, 5), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_minute_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_MINUTE); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_latitude(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 5, 1), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_latitude_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 5, 1), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_latitude_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_LATITUDE); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_longitude(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 6, 1), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_longitude_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 6, 1), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_longitude_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_LONGITUDE); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_height(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 7, 1), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_height_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 7, 1), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_height_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_HEIGHT); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_height_baro(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 7, 31), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_height_baro_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 7, 31), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_height_baro_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_HEIGHT_BARO); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_flight_phase(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 8, 4), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_flight_phase_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 8, 4), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_flight_phase_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_FLIGHT_PHASE); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_timesig(dba_msg msg, int val, int conf) { return dba_msg_seti(msg, DBA_VAR(0, 8, 21), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_timesig_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 8, 21), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_timesig_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_TIMESIG); return d == NULL ? NULL : d->var; }
inline static dba_err dba_msg_set_flight_press(dba_msg msg, double val, int conf) { return dba_msg_setd(msg, DBA_VAR(0, 10, 4), val, conf, 257, 0, 0, 0, 0, 0); }
inline static dba_err dba_msg_set_flight_press_var(dba_msg msg, dba_var val) { return dba_msg_set(msg, val, DBA_VAR(0, 10, 4), 257, 0, 0, 0, 0, 0); }
inline static dba_var dba_msg_get_flight_press_var(dba_msg msg) { dba_msg_datum d = dba_msg_find_by_id(msg, DBA_MSG_FLIGHT_PRESS); return d == NULL ? NULL : d->var; }

#define DBA_MSG_VARTABLE_SIZE 70

#ifdef  __cplusplus
}
#endif

#endif
